import { Injectable, Pipe, PipeTransform } from '@angular/core';

@Pipe({
  	name: 'menu'
})
@Injectable()
export class MenuPipe implements PipeTransform {
  
    transform(menus: Array<any>, visible: boolean) {
        return menus.filter(item => { 
            return item.visible == visible;
        });
    }
}
